:root {
    --color-background: #FFFFFF;
    --color-border: #E9EAEB;
    --color-tab-bg: #FAFAFA;
    --color-tab-text: #717680;
    --color-tab-active-bg: #fff;
    --color-tab-active-text: #414651;
    --color-btn-primary: #82BC3C;
    --color-btn-primary-hover: #4A711F;
    --color-required: #5C8A28;
    --color-link: #4A711F;
    --color-heading: #181D27;
    --color-content: #535862;
    --color-navlinks: #252B37;
    --color-secondary-button-border: #D5D7DA;
    --color-ColorsEffectsShadowsshadow: #0A0D120D;
    --color-pending: #FEF7C3;
    --color-dashboard-pending: #FEFBE8;
    --color-dashboard-green: #E3FBCC;

}

* {
    -webkit-tap-highlight-color: transparent;
}

a {
    text-decoration: none !important;
    color:var(--color-link);

}


::selection {
    background-color: var(--color-btn-primary);
    color: white;
}

/* .dataTables_wrapper a{
    color: #82BC3C !important;
} */
body {
    background-color: var(--color-background);
    font-family: 'Inter', sans-serif;
    font-size: 14px;
}

.text-primary{
    color: var(--color-link) !important;
}

.form-container {
    width: 360px;
    margin: auto;
    padding: 60px 15px;
}

.main-container {
    max-width: 588px;
    margin: auto;
    padding: 50px 15px;
}

.main-container-live {
    max-width: 588px;
    margin: auto;
    padding: 10px 15px;
}

.policy-container {
    max-width: 800px;
    margin: auto;
    padding-top: 96px;
}

.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 24px;
}

.logo {
    height: 96px;
    width: 225px;
}

.icons {
    height: 20px;
    width: 20px;
}

.icons2 {
    height: 40px;
    width: 40px;
}

.tab-toggle {
    display: flex;
    border-radius: 12px;
    overflow: hidden;
    border: 1px solid var(--color-border);
    background-color: var(--color-tab-bg);
    color: var();
    margin-bottom: 32px;
}

.tab-toggle button {
    flex: 1;
    padding: 8px;
    border: none;
    font-size: 14px;
    background-color: transparent;
    color: var(--color-tab-text);
    font-weight: 600;
}

.tab-toggle button.active {
    background-color: var(--color-tab-active-bg);
    color: var(--color-tab-active-text);
    font-weight: 600;
    border: 1px solid var(--color-border);
    border-radius: 8px 12px;
}

.custom-tabs {
    display: flex;
    border: 1px solid var(--color-secondary-button-border);
    border-radius: 8px;
    overflow: hidden;
     flex-wrap: wrap;
    width: max-content;
    text-decoration: none !important;
}

.custom-tab {
    flex: 1;
    padding: 10px 16px;
    text-align: center;
    cursor: pointer;
    background-color: var(--color-background);
    font-weight: 500;
    color: var(--color-tab-active-text);
    border-right: 1px solid var(--color-secondary-button-border);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;

}

.custom-tab:last-child {
    border-right: none;
}

.custom-tab.active {
    color: var(--color-link);
    background-color: var(--color-tab-bg);
    font-weight: bold;
}

.custom-tab.recordactive {
    color: var(--color-heading);
    background-color: var(--color-tab-bg);
    font-weight: bold;
}

.custom-tab.pending {
    color: var(--color-tab-active-text);
    background-color: var(--color-pending);
}

.custom-tab.active svg {
    fill: var(--color-link);
}

.custom-tab svg {
    width: 20px;
    height: 20px;
    fill: currentColor;
}
@media (max-width: 768px) {
    .custom-tabs {
        flex-direction: row;
        width: 100%;

    }
}
.btn-primary {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-btn-primary);
    border: none;
    color: var(--color-background);
    font-size: 16px;
    font-weight: 600;
    padding: 10px 16px;
    height: 44px;
}



.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary:visited {
    background-color: var(--color-btn-primary-hover);
    color: var(--color-background);
    box-shadow: none;
    outline: none;
}

.btn-primary:active {
    background-color: var(--color-btn-primary) !important;
    color: var(--color-background) !important;
    box-shadow: none !important;
    outline: none !important;
}

.btn-outline-secondary {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 44px;
    padding: 10px 16px;
    font-size: 14px;
    font-weight: 600;
    border: 1px solid var(--color-secondary-button-border);
    color: var(--color-tab-active-text);
    box-shadow:
        0px 1px 2px 0px var(--color-ColorsEffectsShadowsshadow),
        0px -2px 0px 0px var(--color-ColorsEffectsShadowsshadow) inset,
        0px 0px 0px 1px var(--color-ColorsEffectsShadowsshadow) inset;
        white-space: nowrap;
    /* prevents text wrapping */
}

.btn-outline-secondary:hover {
    background-color: var(--color-btn-primary-hover) !important;
    color: var(--color-background) !important;
    box-shadow: none !important;
    outline: none !important;
}

.logout-text {
    font-size: 14px;
    font-weight: 600;
    color: var(--color-content);
}


.form-text {
    font-size: 0.85rem;
}

.form-control {
    border-radius: 8px;
}

.required {
    color: var(--color-required);
    /* font-weight: bold; */
}

.small-text {
    font-size: 0.9rem;
}

.link {
    color: var(--color-link);
}

.heading {
    font-size: 30px;
    color: var(--color-heading);
    font-weight: 600;
}

.dashboard-heading {
    font-size: 30px;
    color: var(--color-heading);
    font-weight: 500;
}

.policy-heading {
    font-size: 48px;
    color: var(--color-heading);
    font-weight: 600;
}

.content {
    font-size: 14px;
    color: var(--color-content);
}
.d-heading {
    font-size: 16px;
}

.footer-copyright {
    color: var(--color-tab-text);
    font-size: 16px;
}

.navlinks {
    color: var(--color-navlinks);
    font-weight: 600;
    font-size: 16px;
}

.sidebar {
    padding: 20px;
    background-color: white;
    /* height: 100vh; */
}

.calendar-tabs .nav-link {
    border: none;
    background: none;
    color: #6c757d;

}

.calendar-tabs .nav-link.active {
    font-weight: bold;
    color: var(--color-btn-primary);
    border-bottom: 2px solid var(--color-btn-primary);
}

.flatpickr-calendar {
    /* width: 100% !important; */
    background-color: var(--color-background);
    box-shadow: none !important;
    border-radius: 9999px !important;
    /* Added "px" */
}

@media (max-width: 600px) {
    .flatpickr-calendar {
        width: 100% !important;
    }

    .btn-mob {
        width: 100% !important;
        margin-bottom: 8px;
    }
}

.btn-today,
.btn-refresh {
    width: 48%;
}

.appointments-area {
    padding: 20px;
    background-color: var(--color-tab-bg);
    border-radius: 8px;
}

.appointment-box {
    background-color: var(--color-background);
    width: 240px !important;
}

.text-muted {
    font-size: 0.9rem;
}

a.text-success {
    color: var(--color-btn-primary);
}

.cancelled {
    background-color: #f8d7da;
}

.confirmed {
    background-color: #e2f0d9;
}

.pending {
    background-color: #fff3cd;
}

.flatpickr-day.selected {
    background-color: #00796B !important;
    color: var(--color-background) !important;
    border-radius: 50%;
}

.section-title {
    text-align: center;
    font-weight: 600;
    margin-bottom: 16px;
    font-size: 20px;
    margin-top: 32px;
    color: var(--color-heading);
}

.section-subtext {
    text-align: center;
    color: var(--color-heading);
    margin-bottom: 32px;
    font-size: 18px;
    font-weight: 400;
}

.day-card {
    border-radius: 8px;
    margin-bottom: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.04);
}

.card-body h5 {
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 16px;
}

.toggle-row {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 6px;
    font-weight: 500;
}

.time-block {
    /* margin-left: 10px; */
    margin-bottom: 12px;
    border-radius: 8px;
}

.time-select-row {
    display: flex;
    align-items: center;
    gap: 8px;
}

.time-select {
    flex: 1;
    color: var(--color-tab-text);
}

select.form-select {
    border-radius: 6px;
}

.container-cards {
    max-width: 346px;
    margin: auto;
    margin-bottom: 32px;
}

.form-check-input {
    background-color: white;
    border-color: var(--color-border);
    height: 20px;
    width: 40px !important;
}

.form-check-input:checked {
    background-color: var(--color-btn-primary);
    border-color: var(--color-btn-primary);
}

.form-check-input:focus,
.form-check-input:active {
    box-shadow: none;
}

.days {
    font-weight: 600;
    font-size: 18px;
    color: var(--color-tab-active-text);
}

.morning-evening {
    font-weight: 500;
    font-size: 16px;
    color: var(--color-tab-text);
}

.dashboard-card {
    width: 100%;
    border: 1px solid var(--color-border);
    border-radius: 12px;
}

@media (min-width: 992px) {
    .dashboard-card {
        width: 289px;
    }
}

.dashboard-card-heading {
    color: var(--color-link);
    font-size: 18px !important;
    font-weight: 700 !important;
    margin-top: -10px;
}

.dashboard-card-counts {
    color: var(--color-heading);
    font-size: 24px !important;
    font-weight: 600;
    margin-top: -10px;
}

.dashboard-icon-container {
    border: 1px solid var(--color-secondary-button-border);
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
}

.dashboard-card-container {
    display: flex;
    gap: 16px;
}

.text-green {
    color: var(--color-btn-primary);
    font-size: 14px;
}

.upload-box {
    background-color: #f8f9fa;
    cursor: pointer;
    transition: border-color 0.2s ease-in-out;
}

.upload-box:hover {
    border-color: #0d6efd;
}

.modal-title {
    font-weight: 600;
    font-size: 16px;
    --color-secondary-button-border: #D5D7DA;
    color: var(--color-heading);
}

.form-label {
    color: var(--color-tab-active-text);
    font-size: 14px;
    font-weight: 500;
}

.modal-text-up {
    margin-top: 16px !important;
}

.delete-btn {
    margin-bottom: 20px;
    margin-right: -15px !important;
}

.mt-n12 {
    margin-top: -12px;
}

.modal-dialog {
    max-width: 480px !important;
}

.heading2 {
    color: var(--color-heading);
    font-size: 20px;
    font-weight: 600
}

.btn-sm {
    font-size: 14px !important;
}

.btn-nav-sm {
    height: 40px;
    /* vertical-align: middle;
    padding-bottom: 5px; */
}

.navbar {
    height: 96px;
}

.btn-lg {
    font-size: 16px;
    padding: 12px;
    padding-left: 20px;
    padding-right: 20px;
}

.btn-height-sm {
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.dashboard-card-yellow {
    background-color: var(--color-dashboard-pending);
}

.dashboard-card-green {
    background-color: var(--color-dashboard-green);
}

.dashboard-card-white {
    background-color: var(--color-background);
}

.go-up {
    margin-top: -33px !important;
}
.go-down {
    margin-bottom: -33px !important;
}
@media (max-width: 767.98px) {
  .go-down {
    margin-bottom: 10px !important;
  }
}


/* FullCalendar Custom Theme - #82BC3C */

#calendar {

    margin: 40px auto;
}


.fc-toolbar-title {
  color: var(--color-tab-active-text) !important;
}
.fc .fc-button {
  background-color: white;  /* Your green button color */
   color: var(--color-tab-active-text) !important;
   border: 1px solid var(--color-secondary-button-border) !important;
   font-size: 14px !important;
    font-weight: 600 !important;
    box-shadow:
        0px 1px 2px 0px var(--color-ColorsEffectsShadowsshadow),
        0px -2px 0px 0px var(--color-ColorsEffectsShadowsshadow) inset,
        0px 0px 0px 1px var(--color-ColorsEffectsShadowsshadow) inset;
        white-space: nowrap !important;
    text-transform: capitalize !important;

}

.fc .fc-button:hover {
    background-color: var(--color-btn-primary-hover) !important;
  box-shadow: 0 0 0 2px rgba(92, 144, 43, 0.4);  /* Optional glow effect */
  outline: none;
  color: var(--color-background) !important;
   outline: none !important;
  box-shadow: none !important;
}
.fc .fc-button:active,
.fc .fc-button.fc-button-active,
.fc .fc-button:focus {
  background-color: var(--color-btn-primary) !important;
  box-shadow: 0 0 0 2px rgba(92, 144, 43, 0.4);  /* Optional glow effect */
  outline: none;
  color: var(--color-background) !important;
   outline: none !important;
  box-shadow: none !important;
}
.fc .fc-button:disabled {
  background-color: #d3d3d3;
  color: #888;
  cursor: not-allowed;
}

@media (max-width: 767.98px) {
.fc-toolbar-title {
    font-size: 1rem !important;
}
}

/* Event appearance */
.fc-event {
    background-color: #82BC3C !important;
    border-color: #82BC3C !important;
    color: #ffffff !important;
}

.fc .fc-list-event:hover td {
    background-color: #118181 !important;
}

.fw-semi-normal {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    color: #181D27;
}

.text-light-grey {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #535862;
}

/* Highlight for today */
.fc-day-today {
    background: #e0f7f7 !important;
}


/* .fc .fc-bg-event {
  opacity: 1 !important;
} */
.evening-shift-bg {
    background-color: #ffffff !important;

}
.morning-shift-bg {
    background-color: #ffffff !important;

}
.absent-shift-bg {
    background-color: #afafaf !important;
   /*  opacity: 0.8 !important; */

}

.offtime-shift-bg {
    background-color: #afafaf !important;
  /*   opacity: 0.8 !important; */

}
.ontime-shift-bg {
    background-color: #aae18e !important;
     opacity: 1 !important;
}
.step-nav {
    display: flex;
    justify-content: space-between;
    margin-bottom: 1.5rem;
}

.step-nav button {
    width: 100%;
    margin: 0 0.25rem;
}

.step-nav .active {
    font-weight: bold;
    background-color: var(--color-btn-primary);
    color: white;
    border: none;
}

.step-content {
    display: none;
}

.step-content.active {
    display: block;
}

.checkbox {
    width: 20px !important;
    margin-right: 10px;

}
.checkbox2 {
    width: 20px !important;
        margin-right: -15px;

}
.form-check-label {
  cursor: pointer;
  padding: 6px 10px;
  border-radius: 4px;
  display: flex;
  align-items: center;
  gap: 8px;
  transition: background-color 0.2s ease-in-out;
}
.custom-radio {
  display: inline-flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 6px;
  border-radius: 6px;
  cursor: pointer;
  min-height: 36px;
  padding: 4px 8px;
  user-select: none;
}

.custom-radio:hover {
  background-color: #f8f9fa;
}

.radio-option {
  appearance: none;
  -webkit-appearance: none;
  width: 20px;
  height: 20px;
  border: 2px solid var(--color-btn-primary, #82bc3c);
  border-radius: 50%;
  position: relative;
  cursor: pointer;
  background-color: #fff;
}

.radio-option:checked::before {
  content: "";
  position: absolute;
  top: 4px;
  left: 4px;
  width: 8px;
  height: 8px;
  background-color: var(--color-btn-primary, #82bc3c);
  border-radius: 50%;
}

.form-heading{
    color: var(--color-btn-primary);
}

.form-heading-grey{
    color:  #5e5f5e;
}
.export-btn{
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
}
.truncate-one-line {
  max-width: 350px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: inline-block;
}
.form-control::placeholder {
  color: #ced1d4;
  opacity: 1;
}
select.form-control:disabled,
select:disabled {
  color: #a5a7aa;
  opacity: 1;
}
